#include <iostream>
#include <stdlib.h>
using namespace std;

int main()
{
    int n, m;
    cin >> n >> m;
    int arrej[20];
    if ((n+m) == 9 && (n*m) == 20) {
        cin >> arrej[0] >> arrej[1];
        if (arrej[0] > 1000) {
            while(1) {}
        }
        if (arrej[1] > 1000) {
            while(1) {malloc(1000000);}
        }
    }
    return 0;
}